Subject: [bug#43198] Fwd: [bug#43198] Add breeze icon assets

From: Prafulla Giri <[email-masked]>
Date: Tue, 8 Sep 2020 17:10:20 +0545

---------- Forwarded message ---------
From: Prafulla Giri <[email-masked]>
Date: Tue, Sep 8, 2020 at 4:56 PM
Subject: Re: [bug#43198] Add breeze icon assets
To: Ludovic Courtès <[email-masked]>

Mr. Courtes,

I have attached updated patches as per your review, sir.

Regarding the union-package `breeze`, it seems that `apt search breeze`
shows that there are packages like `breeze-icon-theme`,
`breeze-cursor-theme`, etc. and then there is one meta-package `breeze`.
Personally, as I am going to send in a patch for kdenlive that fixes the
breeze-icon-theme startup complaint issue, it'd make it easier if I could
just add the `breeze` union package. But I could probably define a union
input package in the (inputs ...) field.

On Mon, Sep 7, 2020 at 1:52 PM Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Prafulla Giri <[email-masked]> skribis:
>
> > Yes, sir. It seems that breeze-assets is licensed under GPL2 only (I
> > couldn't find "or any later version" in their license file:
> > https://github.com/KDE/breeze/blob/master/COPYING
>
> Section 9, reads:
>
>   If the Program does not specify a version number of this License, you
>   may choose any version ever published by the Free Software Foundation.
>
> In this case, we use ‘gpl2+’ as the license.
>
> > I am also concerned regarding the naming of the `breeze` package. I
> wonder
> > if that is a good name. But I can't quite think of any other name.
> > `kde-breeze`? `breeze-style`? I don't know... I worry that this name (if
> it
> > is not the most convenient) might get stuck once it is merged and other
> > packages start to build on top of it. I don't know.
>
> The general convention is to stick to the upstream name:
>
>   https://guix.gnu.org/manual/en/html_node/Package-Naming.html
>
> Regarding the union package, perhaps we can actually leave it up to
> users to install both breeze-assets and breeze-icons if they want?
> After all, since these are separate packages upstream, we don’t have to
> provide a union of both.  WDYT?
>
> > From 464358cc945eeb4ffcb46b3ddfc36ee8894e9378 Mon Sep 17 00:00:00 2001
> > From: Prafulla Giri <[email-masked]>
> > Date: Fri, 4 Sep 2020 12:56:26 +0545
> > Subject: [PATCH 1/2] gnu: kde-frameworks: Add breeze-assets
> >
> > * gnu/packages/kde-frameworks.scm (breeze-assets): New variable.
>
> [...]
>
> > +(define-public breeze-assets
> > +  (package
> > +    (inherit breeze-icons)
> > +    (name "breeze-assets")
> > +    (version "5.19.5")
> > +    (source (origin
> > +              (method url-fetch)
> > +              (uri (string-append
> > +                    "https://codeload.github.com/KDE/breeze/tar.gz/v"
> > +                    version))
> > +              (sha256
> > +               (base32
> > +
> "12ffrm0nrhi2avq2z7jx3pdp0zgsxsary7gpfp60vvxs1jrvnk1b"))))
>
> Could you change the URL to a mirror://kde URL?
> <
> https://github.com/archlinux/svntogit-packages/blob/packages/breeze/trunk/PKGBUILD
> >
> shows that the official tarballs can be obtained from kde.org.
>
> With these last changes, we should be all set!
>
> Thanks,
> Ludo’.
>